/// <reference types="node" />
import { PlatformAccessory } from 'homebridge';
import { JeeLinkPlugin } from '../platform';
/**
 * Platform Accessory
 * An instance of this class is created for each accessory your platform registers
 * Each accessory may expose multiple services of different service types.
 */
export declare class LaCrosseDTAccessoryBase {
    protected readonly platform: JeeLinkPlugin;
    protected readonly accessory: PlatformAccessory;
    UUID: string;
    private temperaturService;
    private FakeGatoHistoryServiceClass;
    protected fakeGatoHistoryService: any;
    constructor(platform: JeeLinkPlugin, accessory: PlatformAccessory);
    getModel(): string;
    protected round(value: number, precision: number): number;
    updateData(data: any, buf: Buffer): void;
    getCurrentDataValues(callback: (_foo: any, _temperature: any, _data: any) => void): void;
}
//# sourceMappingURL=LaCrosseDTAccessoryBase.d.ts.map